//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <Menus.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include "Game.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
        TMainMenu *MainMenu1;
        TPanel *Panel1;
        TImage *Image1;
        TGroupBox *GroupBox1;
        TGroupBox *GroupBox2;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TRadioGroup *RadioGroup1;
        TRadioButton *RadioButton1;
        TRadioButton *RadioButton2;
        TRadioButton *RadioButton3;
        TBitBtn *BitBtn1;
        TCheckBox *CheckBox1;
        TStatusBar *StatusBar1;
        TBitBtn *BitBtn5;
        TPanel *Panel2;
        TRadioButton *RadioButton4;
        TImage *Image2;
        TImage *Image3;
        TImage *Image4;
        TRadioButton *RadioButton5;
        TRadioButton *RadioButton6;
        TImage *Image5;
        TImage *Image6;
        TImage *Image7;
        TRadioButton *RadioButton7;
        TRadioButton *RadioButton8;
        TRadioButton *RadioButton9;
        TImage *Image8;
        TImage *Image9;
        TImage *Image10;
        TImage *Image11;
        TImage *Image12;
        TImage *Image13;
        TImage *Image14;
        TImage *Image15;
        TImage *Image16;
        TImage *Image17;
        TImage *Image18;
        TImage *Image19;
        TImage *Image20;
        TImage *Image21;
        TImage *Image22;
        TImage *Image23;
        TImage *Image24;
        TImage *Image25;
        TImage *Image26;
        TImage *Image27;
        TImage *Image28;
        TImage *Image29;
        TImage *Image30;
        TImage *Image31;
        TImage *Image32;
        TImage *Image33;
        TImage *Image34;
        TImage *Image35;
        TImage *Image36;
        TImage *Image37;
        TImage *Image38;
        TImage *Image39;
        TImage *Image40;
        TImage *Image41;
        TImage *Image42;
        TImage *Image43;
        TImage *Image44;
        TImage *Image46;
        TImage *Image47;
        TImage *Image48;
        TImage *Image49;
        TImage *Image50;
        TImage *Image51;
        TImage *Image52;
        TImage *Image53;
        TImage *Image54;
        TImage *Image55;
        TImage *Image56;
        TImage *Image57;
        TImage *Image58;
        TImage *Image59;
        TImage *Image60;
        TImage *Image61;
        TImage *Image62;
        TImage *Image63;
        TImage *Image64;
        TImage *Image65;
        TImage *Image66;
        TImage *Image67;
        TImage *Image68;
        TImage *Image69;
        TImageList *ImageList1;
        TImage *Image45;
        TImage *Image70;
        TImage *Image71;
        TImage *Image72;
        TImage *Image73;
        TImage *Image74;
        TImage *Image75;
        TImage *Image76;
        TImage *Image77;
        TImage *Image78;
        TImage *Image79;
        TImage *Image80;
        TImage *Image81;
        TImage *Image82;
        TImage *Image83;
        TImage *Image84;
        TImage *Image85;
        TImage *Image86;
        TImage *Image87;
        TImage *Image88;
        TImage *Image89;
        TImage *Image90;
        TImage *Image91;
        TImage *Image92;
        TImage *Image93;
        TImage *Image94;
        TImage *Image95;
        TImage *Image96;
        TImage *Image97;
        TImage *Image98;
        TImage *Image99;
        TMenuItem *Game1;
        TMenuItem *NewGame1;
        TMenuItem *N1;
        TMenuItem *ConnecttoHost1;
        TMenuItem *Disconnectfromhost1;
        TMenuItem *N2;
        TMenuItem *QuitGame1;
        TMenuItem *Options1;
        TMenuItem *HowtoPlay1;
        TMenuItem *InfoaboutGame1;
        TBitBtn *BitBtn2;
        TLabel *Label12;
        TEdit *Edit1;
        TLabel *Label13;
        TTimer *Timer1;
        TTimer *Timer2;
        void __fastcall RadioButton4Click(TObject *Sender);
        void __fastcall RadioButton5Click(TObject *Sender);
        void __fastcall RadioButton6Click(TObject *Sender);
        void __fastcall RadioButton7Click(TObject *Sender);
        void __fastcall RadioButton8Click(TObject *Sender);
        void __fastcall RadioButton9Click(TObject *Sender);
        void __fastcall BitBtn1Click(TObject *Sender);
        void __fastcall Image8Click(TObject *Sender);
        void __fastcall Image9Click(TObject *Sender);
        void __fastcall Image12Click(TObject *Sender);
        void __fastcall Image10Click(TObject *Sender);
        void __fastcall Image11Click(TObject *Sender);
        void __fastcall Image13Click(TObject *Sender);
        void __fastcall Image14Click(TObject *Sender);
        void __fastcall Image15Click(TObject *Sender);
        void __fastcall Image16Click(TObject *Sender);
        void __fastcall Image17Click(TObject *Sender);
        void __fastcall Image18Click(TObject *Sender);
        void __fastcall Image19Click(TObject *Sender);
        void __fastcall Image20Click(TObject *Sender);
        void __fastcall Image21Click(TObject *Sender);
        void __fastcall Image22Click(TObject *Sender);
        void __fastcall Image23Click(TObject *Sender);
        void __fastcall Image24Click(TObject *Sender);
        void __fastcall Image25Click(TObject *Sender);
        void __fastcall Image26Click(TObject *Sender);
        void __fastcall Image27Click(TObject *Sender);
        void __fastcall Image28Click(TObject *Sender);
        void __fastcall Image29Click(TObject *Sender);
        void __fastcall Image30Click(TObject *Sender);
        void __fastcall Image31Click(TObject *Sender);
        void __fastcall Image32Click(TObject *Sender);
        void __fastcall Image33Click(TObject *Sender);
        void __fastcall Image34Click(TObject *Sender);
        void __fastcall Image35Click(TObject *Sender);
        void __fastcall Image36Click(TObject *Sender);
        void __fastcall Image37Click(TObject *Sender);
        void __fastcall Image38Click(TObject *Sender);
        void __fastcall Image39Click(TObject *Sender);
        void __fastcall Image40Click(TObject *Sender);
        void __fastcall Image41Click(TObject *Sender);
        void __fastcall Image42Click(TObject *Sender);
        void __fastcall Image43Click(TObject *Sender);
        void __fastcall Image44Click(TObject *Sender);
        void __fastcall Image46Click(TObject *Sender);
        void __fastcall Image47Click(TObject *Sender);
        void __fastcall Image48Click(TObject *Sender);
        void __fastcall Image49Click(TObject *Sender);
        void __fastcall Image50Click(TObject *Sender);
        void __fastcall Image51Click(TObject *Sender);
        void __fastcall Image52Click(TObject *Sender);
        void __fastcall Image53Click(TObject *Sender);
        void __fastcall Image54Click(TObject *Sender);
        void __fastcall Image55Click(TObject *Sender);
        void __fastcall Image56Click(TObject *Sender);
        void __fastcall Image57Click(TObject *Sender);
        void __fastcall Image58Click(TObject *Sender);
        void __fastcall Image59Click(TObject *Sender);
        void __fastcall Image60Click(TObject *Sender);
        void __fastcall Image61Click(TObject *Sender);
        void __fastcall Image62Click(TObject *Sender);
        void __fastcall Image63Click(TObject *Sender);
        void __fastcall Image64Click(TObject *Sender);
        void __fastcall Image65Click(TObject *Sender);
        void __fastcall Image66Click(TObject *Sender);
        void __fastcall Image67Click(TObject *Sender);
        void __fastcall Image68Click(TObject *Sender);
        void __fastcall Image69Click(TObject *Sender);
        void __fastcall QuitGame1Click(TObject *Sender);
        void __fastcall InfoaboutGame1Click(TObject *Sender);
        void __fastcall NewGame1Click(TObject *Sender);
        void __fastcall BitBtn2Click(TObject *Sender);
        void __fastcall HowtoPlay1Click(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall Timer2Timer(TObject *Sender);
private:	// Anwender-Deklarationen
public:		// Anwender-Deklarationen
        __fastcall TForm1(TComponent* Owner);
        Game* Abalone;
        int TimeCounter;
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
